#include "EPSG/Viewport.h"

EPSG::Viewport* EPSG::Viewport::s_activeViewport = NULL;

EPSG::Viewport::Viewport()
{

}

EPSG::Viewport::Viewport( int width, int height )
{
	this->width = width;
	this->height = height;
	Viewport();
}

EPSG::Viewport::Viewport( int x, int y, int width, int height )
{
	this->x = x;
	this->y = y;
	Viewport( width, height );
}

EPSG::Viewport* EPSG::Viewport::getActiveViewport()
{
	if( s_activeViewport == NULL )
		s_activeViewport = new EPSG::Viewport( 800, 600 );

	return s_activeViewport;
}